<?php

//Clase de Paises
class proEsp
{
  	var $nom_tabla = 'dxproesp';
	var  $id_proesp = '0';
	var  $modulo = '0';
	var  $proceso = '0';
	var  $personal = '0';

//Funcion de Revicion
	function proEsp($modulo="",$usuario=""){
		$this->modulo=$modulo;
		$this->personal=$usuario;
	}	
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE modulo = '$this->modulo'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (modulo,proceso,personal) values('$this->modulo','$this->proceso','$this->personal')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($id_proesp){
		$sql= "SELECT * FROM $this->nom_tabla WHERE id_proesp  = '$id_proesp'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);

			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($id_proesp){
		$sql = "UPDATE $this->nom_tabla SET  modulo= '$this->modulo', proceso = '$this->proceso', personal = '$this->personal'  WHERE id_proesp ='$id_proesp'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($id_proesp){   
		$sql = "DELETE FROM $this->nom_tabla WHERE id_proesp = '$id_proesp'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}
	
	function getUsuPer(){
		$flagAllPerm=true;
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo = '$this->modulo' AND personal='$this->personal'";
		//echo $sql;
		$sq_accpgm = mysqli_query($GLOBALS['con'] ,$sql);
		$arrPerm=NULL;
		//echo mysqli_error($GLOBALS['con']);
		while($dt_accpgm=mysqli_fetch_array($sq_accpgm)){
			$arrPerm[$dt_accpgm['proceso']=true;
			//echo "PROC: $auxRow[1]<br>";
		}
		if($_SESSION['mod_sis']=='LAB' && $flagAllPerm){
			$arrPerm['CAPPAG']  =true;
			$arrPerm['DEVPAG']  =true;
			$arrPerm['MODENC']  =true;
			$arrPerm['CANCELAFOLIO']=true;
			$arrPerm['ENTEST']  =true;
			$arrPerm['UNENTEST']=true;
		}
		if ($sq_accpgm){
			return $arrPerm;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
		
	}	   
}       
?>